Package com.io7m.waxmill.machines

# Interface WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType

All Superinterfaces:
  `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`

All Known Implementing Classes:
  `WXMEvaluatedBootConfigurationUEFI`

Enclosing interface:
  WXMBootConfigurationType

    @Immutable
    public static interface WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType
    extends WXMBootConfigurationType.WXMEvaluatedBootConfigurationType

A set of evaluated commands used to boot with UEFI.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `checkPreconditions()` | Check preconditions for the type.
  `WXMEvaluatedBootCommands` | `commands()` |
  `default WXMBootConfigurationType.Kind` | `kind()` |
  `java.util.Set<java.nio.file.Path>` | `requiredNMDMs()` |
  `java.util.List<java.nio.file.Path>` | `requiredPaths()` |

- ## Method Details

  - ### kind

    default WXMBootConfigurationType.Kind kind()
    Specified by:
      `kind` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The kind of underlying kernel

  - ### requiredPaths

    java.util.List<java.nio.file.Path> requiredPaths()
    Specified by:
      `requiredPaths` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The files required to exist by the boot configuration

  - ### requiredNMDMs

    java.util.Set<java.nio.file.Path> requiredNMDMs()
    Specified by:
      `requiredNMDMs` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The nmdm files required to exist by the boot configuration

  - ### commands

    WXMEvaluatedBootCommands commands()
    Specified by:
      `commands` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Returns:
      The set of commands required to bring up the virtual machine

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.